You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2006-11-02 12:53:59

lauransonjm
Member
Registered: 2006-11-02
Posts: 9

message d'erreur Plugin Archires

Bonjour,

Le message suivant apparait apres avoir suivi les indications du wiki.

Je ne sais quel fichier modifier pour pouvoir resoudre le pb.

PHP ERROR :
Warning: fread() [function.fread]: Length parameter must be greater than 0 in D:\web\glpi\plugins\archires\inc\plugin_archires.functions_display.php on line 630.

Merci pour votre aide et pour tout le travail admirable effectué!!


GLPI 0.68.2
Windows 2000 Pro
Wamp 1.6.5 (Apache : 2.0.59, Php : 5.1.6, mysql: 5.0.24a, phpmyadmin : 2.8.2.4).

Offline

#2 2006-11-02 13:04:39

tsmr
GLPI-DEV
From: Rennes
Registered: 2005-08-26
Posts: 11,632
Website

Re: message d'erreur Plugin Archires

version glpi et version archires


Xavier Caillaud
Blog GLPI Infotel

Offline

#3 2006-11-02 13:19:12

lauransonjm
Member
Registered: 2006-11-02
Posts: 9

Re: message d'erreur Plugin Archires

Ma version : GLPI 0.68.2 archires v1.4


GLPI 0.68.2
Windows 2000 Pro
Wamp 1.6.5 (Apache : 2.0.59, Php : 5.1.6, mysql: 5.0.24a, phpmyadmin : 2.8.2.4).

Offline

#4 2006-11-02 13:21:09

tsmr
GLPI-DEV
From: Rennes
Registered: 2005-08-26
Posts: 11,632
Website

Re: message d'erreur Plugin Archires

et OS ?

tu as installé grpahviz et rebooté ton serveur ?


Xavier Caillaud
Blog GLPI Infotel

Offline

#5 2006-11-02 13:58:47

lauransonjm
Member
Registered: 2006-11-02
Posts: 9

Re: message d'erreur Plugin Archires

OS Win2000 Pro

Oui j ai installe graphwiz reboote le serveur et associe les images aux elements.


GLPI 0.68.2
Windows 2000 Pro
Wamp 1.6.5 (Apache : 2.0.59, Php : 5.1.6, mysql: 5.0.24a, phpmyadmin : 2.8.2.4).

Offline

#6 2006-11-02 21:14:02

tsmr
GLPI-DEV
From: Rennes
Registered: 2005-08-26
Posts: 11,632
Website

Re: message d'erreur Plugin Archires

et les pcs sont bien reliés aux switchs via connexions réseaux ?


Xavier Caillaud
Blog GLPI Infotel

Offline

#7 2006-11-03 11:35:12

lauransonjm
Member
Registered: 2006-11-02
Posts: 9

Re: message d'erreur Plugin Archires

Oui ils le sont. je suis dans un reseau d entreprise avec plusieurs lan. J ai ajoute les lans et les routeurs dans l inventaire ainsi que les pcs.
j ai le message uniquement en mode debug. Sinon en mode normal j ai une icone du style petite feuille blanche barree d une croix rouge, comme si il ne trouvait pas d image. Pourtant j ai bien copie les images dans le repertoire pics du plugin et j ai aussi associe les images aux elements switch routeurs ordinateur.
Je ne sais quoi modifier dans ce fichier:
D:\web\glpi\plugins\archires\inc\plugin_archires.functions_display.php on line 630.
Je suppose que une utilisation normale cela ne se presente pas.
J'ai bien suivi le wiki pourtant je me demande ce qui cloche.

Merci bien pour votre aide


GLPI 0.68.2
Windows 2000 Pro
Wamp 1.6.5 (Apache : 2.0.59, Php : 5.1.6, mysql: 5.0.24a, phpmyadmin : 2.8.2.4).

Offline

#8 2006-11-03 17:49:43

lauransonjm
Member
Registered: 2006-11-02
Posts: 9

Re: message d'erreur Plugin Archires

Je crois avoir trouve une piste.

Il me semble avoir omis de renseigné les ports pour chaque elements (ordi et switch) ainsi que leurs VLANS et reseaux.

Sur quoi se base la generation du graphique? L IP le VLAN le reseau?
Si c est l ip cela voudrait dire qu il fqut que la config IP de chaque pc doit etre a jour dans la base?

Merci


GLPI 0.68.2
Windows 2000 Pro
Wamp 1.6.5 (Apache : 2.0.59, Php : 5.1.6, mysql: 5.0.24a, phpmyadmin : 2.8.2.4).

Offline

#9 2006-11-03 19:19:47

emgenet
Member
From: Charleville-Mézières - 08
Registered: 2006-02-10
Posts: 770
Website

Re: message d'erreur Plugin Archires

Comme te l'a dit tsmr, il faut que tes pc soient relier aux switchs, càd que dans l'onglet connexions des pc et des switchs, tu ai bien des liens vers l'autre élément. C'est sur ce lien que se base archires !
Par contre, si tu n'as pas les liens je pense que tu devrait avoir tes éléments alignés les uns à cotés des autres et pas une belle croix rouge.

tsmr ? c'est ca einh !

Last edited by emgenet (2006-11-03 19:20:44)


GLPI: 0.72.3 et OCS 1.0.1
Plateforme: Linux Debian Lenny (5.0) Navigateur: IE7-8 & FrFx2-3
PHP: 5.2.6;  MySQL: 5.0.51;  Apache: 2.2.9;

Offline

#10 2006-11-03 19:53:53

tsmr
GLPI-DEV
From: Rennes
Registered: 2005-08-26
Posts: 11,632
Website

Re: message d'erreur Plugin Archires

Oui mais ils doivent avoir au moins une connexion réseau même si elle est reliée à rien.


Xavier Caillaud
Blog GLPI Infotel

Offline

#11 2006-11-03 21:08:46

emgenet
Member
From: Charleville-Mézières - 08
Registered: 2006-02-10
Posts: 770
Website

Re: message d'erreur Plugin Archires

OK, et comme je vois apparement pas d'OCS, donc les ports rsx n'existent pas forcément. J'en apprend tous les jours aussi smile


GLPI: 0.72.3 et OCS 1.0.1
Plateforme: Linux Debian Lenny (5.0) Navigateur: IE7-8 & FrFx2-3
PHP: 5.2.6;  MySQL: 5.0.51;  Apache: 2.2.9;

Offline

#12 2007-01-14 02:16:19

tsmr
GLPI-DEV
From: Rennes
Registered: 2005-08-26
Posts: 11,632
Website

Re: message d'erreur Plugin Archires

pas de nouvelle, bonne nouvelle ? ou tester la version de dev.


Xavier Caillaud
Blog GLPI Infotel

Offline

Board footer

Powered by FluxBB